# TdApi.NotificationGroup (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: NotificationGroup

Package it.tdlight.jni

# Class TdApi.NotificationGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationGroup

Enclosing class:
  TdApi

    public static class TdApi.NotificationGroup
    extends TdApi.Object

Describes a group of notifications.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of a chat to which all notifications in the group belong.
`static int` | `CONSTRUCTOR` |
`int` | `id` | Unique persistent auto-incremented from 1 identifier of the notification group.
`TdApi.Notification[]` | `notifications` | The list of active notifications.
`int` | `totalCount` | Total number of active notifications in the group.
`TdApi.NotificationGroupType` | `type` | Type of the group.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`NotificationGroup()` | Describes a group of notifications.
`NotificationGroup​(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)` | Describes a group of notifications.
`NotificationGroup​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique persistent auto-incremented from 1 identifier of the notification group.

### type

public TdApi.NotificationGroupType type
Type of the group.

### chatId

public long chatId
Identifier of a chat to which all notifications in the group belong.

### totalCount

public int totalCount
Total number of active notifications in the group.

### notifications

public TdApi.Notification[] notifications
The list of active notifications.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### NotificationGroup

public NotificationGroup()
Describes a group of notifications.

### NotificationGroup

public NotificationGroup​(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)
Describes a group of notifications.

Parameters:
  `id` - int Unique persistent auto-incremented from 1 identifier of the notification group.
  `type` - NotificationGroupType Type of the group.
  `chatId` - long Identifier of a chat to which all notifications in the group belong.
  `totalCount` - int Total number of active notifications in the group.
  `notifications` - Notification[] The list of active notifications.

### NotificationGroup

public NotificationGroup​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`